package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.model.CourseType;
import org.springframework.stereotype.Component;


/**
 * (CourseType)表服务接口
 *
 * @author java
 * @since 2020-12-17 14:12:52
 */

@Component
public interface CourseTypeService {

    /**
     * 通过ID查询单条数据
     *
     * @param courseTypeId 主键
     * @return 实例对象
     */
    CourseType queryById(Integer courseTypeId);

    /**
     * 新增数据
     *
     * @param courseType 实例对象
     * @return 实例对象
     */
    CourseType insert(CourseType courseType);

    /**
     * 修改数据
     *
     * @param courseType 实例对象
     * @return 实例对象
     */
    CourseType update(CourseType courseType);

    /**
     * 通过主键删除数据
     *
     * @param courseTypeId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer courseTypeId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}